%define oname   json_pure

Name:       ruby-%{oname}
Version:    1.5.1
Release:    %mkrel 1
Summary:    JSON Implementation for Ruby
Group:      Development/Ruby
License:    GPLv2
URL:        http://flori.github.com/json
Source0:    http://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: rubygem(rake)
BuildRequires: ruby-devel
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
This is a JSON implementation in pure Ruby.

%files
%defattr(-, root, root, -)
%{_bindir}/edit_json.rb
%{_bindir}/prettify_json.rb
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
#check why this test fails
rake test

%clean
rm -rf %{buildroot}



%changelog
* Sat Apr 16 2011 shikamaru <shikamaru> 1.5.1-1.mga1
+ Revision: 86352
- new version 1.5.1 - enable test suite

* Wed Jan 26 2011 shikamaru <shikamaru> 1.4.6-3.mga1
+ Revision: 39681
- rebuild for new rubygems.rb

* Sun Jan 23 2011 shikamaru <shikamaru> 1.4.6-2.mga1
+ Revision: 34628
- imported package ruby-json_pure


* Sun Jan 23 2011 Remy CLOUARD <shikamaru@mandriva.org> - 1.4.6-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Sun Dec 19 2010 Rémy Clouard <shikamaru@mandriva.org> 1.4.6-1mdv2011.0
+ Revision: 623081
- Bump release
- new version 1.4.6
- fix minor typo in %%description

* Thu Nov 04 2010 Rémy Clouard <shikamaru@mandriva.org> 1.2.4-1mdv2011.0
+ Revision: 593116
- bump release

* Fri Sep 17 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2.0-2mdv2011.0
+ Revision: 579200
- rebuild for automatic provides

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2.0-1mdv2010.1
+ Revision: 500331
- import rubygem-json_pure


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.2.0-1
- initial release
